Subject: bug#12346: 24.2.50; doc of `set-temporary-overlay-map'

From: Bastien <[email-masked]>
Date: Tue, 11 Sep 2012 18:47:42 +0200

"Drew Adams" <[email-masked]> writes:

> Standard source code is being converted to use this function.  And
> 3rd-party code is starting to use it.  It has no doc string and is not
> mentioned in the Elisp manual.  Please document it.

I added this docstring:

  "Set MAP as a temporary overlay map.
When KEEP-PRED is `t', using a key from the temporary keymap
leaves this keymap activated.  KEEP-PRED can also be a function,
which will have the same effect when it returns `t'.
When KEEP-PRED is nil, the temporary keymap is used only once."

I'm not closing this bug as I didn't update the manual, 
I'm not sure where such documentation should go.

-- 
 Bastien